Examples

POST /katello/api/alternate_content_sources
{
  "name": "Deb Simplified ACS_bad",
  "smart_proxy_ids": [
    767380118
  ],
  "content_type": "deb",
  "alternate_content_source_type": "simplified",
  "product_ids": [
    785257261
  ],
  "verify_ssl": true,
  "base_url": "https://should/not/be/here",
  "alternate_content_source": {
    "name": "Deb Simplified ACS_bad",
    "base_url": "https://should/not/be/here",
    "content_type": "deb",
    "alternate_content_source_type": "simplified",
    "verify_ssl": true,
    "smart_proxy_ids": [
      767380118
    ],
    "product_ids": [
      785257261
    ]
  }
}
422
{
  "message": "Base URL must be blank and Verify ssl cannot be provided for simplified ACS",
  "errors": {
    "base_url": [
      "must be blank"
    ],
    "verify_ssl": [
      "cannot be provided for simplified ACS"
    ]
  },
  "full_messages": [
    "Base URL must be blank",
    "Verify ssl cannot be provided for simplified ACS"
  ]
}

Params

Param name Description
content_type
optional

The content type for the Alternate Content Source

Validations:

  • Must be one of: deb, file, yum.

alternate_content_source_type
optional

The Alternate Content Source type

Validations:

  • Must be one of: custom, simplified, rhui.

name
optional

Name of the alternate content source

Validations:

  • String

description
optional

Description for the alternate content source

Validations:

  • String

base_url
optional

Base URL for finding alternate content

Validations:

  • String

subpaths
optional

Path suffixes for finding alternate content

Validations:

  • Must be an array of any type

deb_releases
optional

Debian releases/distributions (e.g., trixie, bookworm)

Validations:

  • String

deb_components
optional

Debian components (e.g., main, contrib)

Validations:

  • String

deb_architectures
optional

Debian architectures (e.g., amd64, arm64)

Validations:

  • String

smart_proxy_ids
optional

Ids of smart proxies to associate

Validations:

  • Must be an array of any type

smart_proxy_names
optional

Names of smart proxies to associate

Validations:

  • Must be an array of any type

upstream_username
optional

Basic authentication username

Validations:

  • String

upstream_password
optional

Basic authentication password

Validations:

  • String

ssl_ca_cert_id
optional

Identifier of the content credential containing the SSL CA Cert

Validations:

  • Must be a number.

ssl_client_cert_id
optional

Identifier of the content credential containing the SSL Client Cert

Validations:

  • Must be a number.

ssl_client_key_id
optional

Identifier of the content credential containing the SSL Client Key

Validations:

  • Must be a number.

verify_ssl
optional

If SSL should be verified for the upstream URL

Validations:

  • Must be one of: true, false, 1, 0.

use_http_proxies
optional

If the smart proxies’ assigned HTTP proxies should be used

Validations:

  • Must be one of: true, false, 1, 0.

product_ids
optional

IDs of products to copy repository information from into a Simplified Alternate Content Source. Products must include at least one repository of the chosen content type.

Validations:

  • Must be an array of any type